Get referral link for a user
curl --request GET \
--url https://app.mlm-platform.com/api/v1/referral-link \
--header 'x-tenant-api-key: <api-key>'import requests
url = "https://app.mlm-platform.com/api/v1/referral-link"
headers = {"x-tenant-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-tenant-api-key': '<api-key>'}};
fetch('https://app.mlm-platform.com/api/v1/referral-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referral_code": "<string>",
"referral_url": "<string>",
"is_new": true
}
Core APIs
Get referral link for a user
Returns the referral link and code for a specific user. The link can be shared to attribute new leads and members to this user.
GET
/
api
/
v1
/
referral-link
Get referral link for a user
Authorizations
Tenant API key for authentication. Keys are scoped to specific environments (LIVE or SANDBOX). Obtain keys from the admin dashboard.
Query Parameters
The user ID to get the referral link for